#version 120

uniform mat3 model_rotation;
uniform vec3 model_translation;

uniform mat4 viewMatrix;
uniform mat4 projMatrix;

uniform vec3 color;

varying vec4 texcoord;

void main()
{
    texcoord = gl_MultiTexCoord0;
    
    mat4 modelmatrix = 
    transpose(mat4(
    	model_rotation[0][0], model_rotation[0][1], model_rotation[0][2], model_translation.x,
    	model_rotation[1][0], model_rotation[1][1], model_rotation[1][2], model_translation.y,
    	model_rotation[2][0], model_rotation[2][1], model_rotation[2][2], model_translation.z,
    	0, 0, 0, 1
    ));
    
    gl_Position = viewMatrix * modelmatrix * gl_Vertex;
    gl_Position = projMatrix * gl_Position;
    
}